"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function interpolate(s, values) {
    let res = s;
    if (values) {
        for (const key of Object.keys(values)) {
            res = res.replace(new RegExp(`{${key}}`, 'g'), values[key]);
        }
    }
    return res;
}
exports.interpolate = interpolate;
function i18n(translations, language, key, values) {
    const parts = key.split('.');
    let current = translations[language];
    for (const part of parts) {
        if (current[part] === undefined) {
            throw Error(`Unknown translation ${language}.${key}.`);
        }
        current = current[part];
    }
    current = interpolate(current, values);
    return current;
}
exports.i18n = i18n;
exports.getI18n = (translations, defaultLanguage) => (key, values, language) => i18n(translations, language || defaultLanguage || Object.keys(translations)[0], key, values);
